Name: cadaver
Version: 0.23.3
Release: 2
Summary: Command-line WebDAV client
License: GPLv2+
Group: Applications/Internet
Source: http://www.webdav.org/cadaver/%{name}-%{version}.tar.gz
URL: http://www.webdav.org/cadaver/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gettext
BuildRequires: neon-devel >= 0.29.6-3
BuildRequires: readline-devel >= 5.2-3
Requires: gettext
Requires: neon >= 0.29.6-3
Requires: readline >= 5.2-3

%description
cadaver is a command-line WebDAV client, with support for file upload, 
download, on-screen display, in-place editing, namespace operations
(move/copy), collection creation and deletion, property manipulation, 
and resource locking.


%prep
%setup -q


%build
export CC="cc_r"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-threadsafe-ssl=posix \
    --enable-threads=posix \
    --with-neon=%{_prefix} \
    --with-ssl=openssl \
    --with-libxml2 \
    --with-expat \
    --with-libintl-prefix=%{_prefix} \
    --enable-nls

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc NEWS FAQ THANKS TODO COPYING README ChangeLog
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Wed Feb 06 2013 Michael Perzl <michael@perzl.org> - 0.23.3-2
- require proper neon version compiled against openssl version 1.0.1

* Thu Apr 26 2012 Michael Perzl <michael@perzl.org> - 0.23.3-1
- first version for AIX V5.1 and higher
